#version 150

out vec4 outColor;

in vec2 texCoord;
uniform sampler2D tex;
uniform int flag;

void main(void)
{
	float fx = texCoord.s*2.0 - 1.0;
	float fy = texCoord.t*2.0 - 1.0;
	float shade = sqrt(fx*fx + fy * fy);
	
	if (flag != 0)
		outColor = vec4(cos(shade * 20.0)/ 2.0 + 0.5, 0.5, sin(shade * 20.0)/ 2.0 + 0.5, 1.0);
	else
		outColor = texture(tex, texCoord);
}
